SQLITE3_CANCEL_AUTO_EXTENSION(3) | Library Functions Manual | SQLITE3_CANCEL_AUTO_EXTENSION(3)

# NAME

`sqlite3_cancel_auto_extension` —
Cancel Automatic Extension Loading

# SYNOPSIS

int
`sqlite3_cancel_auto_extension`(void(*xEntryPoint)(void));

# DESCRIPTION

The sqlite3_cancel_auto_extension(X) interface unregisters the initialization routine X that was registered using a prior call to sqlite3_auto_extension(X). The sqlite3_cancel_auto_extension(X) routine returns 1 if initialization routine X was successfully unregistered and it returns 0 if X was not on the list of initialization routines.

December 19, 2018 | NetBSD 9.4